Gentoo Archives: gentoo-commits

From: Hans de Graaff <graaff@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/elasticsearch/
Date: Sat, 23 May 2020 18:49:30
Message-Id: 1590259751.037f2c48aff53a446e0f605ae9ed3e9ce62d93e9.graaff@gentoo
commit:     037f2c48aff53a446e0f605ae9ed3e9ce62d93e9
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat May 23 18:30:04 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat May 23 18:49:11 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=037f2c48

dev-ruby/elasticsearch: add 6.8.2

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/elasticsearch/Manifest                   |  1 +
 dev-ruby/elasticsearch/elasticsearch-6.8.2.ebuild | 51 +++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-ruby/elasticsearch/Manifest b/dev-ruby/elasticsearch/Manifest
index ae3b66b74d0..6f443599b83 100644
--- a/dev-ruby/elasticsearch/Manifest
+++ b/dev-ruby/elasticsearch/Manifest
@@ -1,2 +1,3 @@
 DIST elasticsearch-ruby-6.8.0.tar.gz 336486 BLAKE2B 5bf9538d3710787939a61b411918f3712a8490ed20df1039613f3828a55758e373e56c6794d597a95c04cf610aba8cea1113982b91cde764c96ee454e59cc7b1 SHA512 d75437b04770cac2ac65fb91f0b18cd3beae0248fa2f148aa820da5272093e5b05d00dc4c82c699d7e31b23d7f06ce7727f74eb5a9b0308264f7139e32774c91
 DIST elasticsearch-ruby-6.8.1.tar.gz 336746 BLAKE2B b7e7f039c1605ca808f57ee2ecb5fd346672d89b1b1cc8eb2d30c8bfcab9d7283f082d9852f0f186a36298dadae98f6951cdbd6a0f401568640f7de006976b0c SHA512 01ab96c92ff04818e29dbab34d73865c1f2adc816670e1fbdfe29a545eb224ff2c6368d7e0f90264c71db76a4f369626ed2e0a4ed3401adf749e0cac41d1f41d
+DIST elasticsearch-ruby-6.8.2.tar.gz 343982 BLAKE2B 84878d08919d5a533943bf8a8b092f0ac74b6e1f160d822a9bbe079cb80d3dbfcc09619c1bcb25e0ad6015acfce383895e41ff9e6300a119c3a7ff53b22f0564 SHA512 c76ea7878726e7145a8c6b8759a916678da0d764620c15b77c3add08ec5d42147d0ff69a0e48ff2f8a4cceb39e7047afcd002862487d00752f84062d9df79874

diff --git a/dev-ruby/elasticsearch/elasticsearch-6.8.2.ebuild b/dev-ruby/elasticsearch/elasticsearch-6.8.2.ebuild
new file mode 100644
index 00000000000..be432279d0d
--- /dev/null
+++ b/dev-ruby/elasticsearch/elasticsearch-6.8.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby24 ruby25 ruby26"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+RUBY_FAKEGEM_TASK_DOC=doc
+
+inherit ruby-fakegem
+
+MY_P=elasticsearch-ruby-${PV}
+DESCRIPTION="Ruby integrations for ES, elasticsearch module"
+HOMEPAGE="https://github.com/elastic/elasticsearch-ruby"
+SRC_URI="https://github.com/elastic/elasticsearch-ruby/archive/v${PV}.tar.gz -> ${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+	~dev-ruby/elasticsearch-api-${PV}
+	~dev-ruby/elasticsearch-transport-${PV}
+"
+ruby_add_bdepend "
+	doc? ( dev-ruby/yard )
+	test? (
+		dev-ruby/ansi
+		dev-ruby/elasticsearch-transport
+		dev-ruby/mocha:1.0
+		dev-ruby/pry
+		dev-ruby/shoulda-context
+	)
+"
+
+# Tests need additional modules (at least 'turn') packaged. Then someone
+# should look into running them and so on.
+RESTRICT="test"
+
+RUBY_S=${MY_P}/${PN}
+
+all_ruby_prepare() {
+	# fix to work without git
+	sed -i -e 's/git ls-files/find -type f/' *.gemspec || die
+
+	# remove useless dependencies from Rakefile
+	sed -e '/bundler/d' \
+		-e '/require.*cane/,/end/d' \
+		-i Rakefile || die
+}